Package org.jcsp.lang

# Class JCSP_InternalError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.jcsp.lang.JCSP_InternalError

All Implemented Interfaces:
  `Serializable`

public class JCSP_InternalError extends Error
This is thrown by an inconsistency detected in the internal structures of JCSP.

## Description

Please report the circumstances to jcsp-team@kent.ac.uk - thanks!

Author:
  P.H. Welch
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JCSP_InternalError(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JCSP_InternalError

public JCSP_InternalError(String s)